<template>

	<div class="card mb-3">

		<div class="card-img-wrapper">

			<img class="card-img img-fluid card-img-top" :src="product.cover" :alt="product.title" width="350" height="500">

			<span class="card-quantity badge badge-info" v-if="checkout">{{product.quantity}} item(s)</span>

			<span class="card-quantity badge badge-info" v-else>{{ product.price | currency }}</span>

		</div>

		<div class="card-block">

			<h4 class="card-title">{{product.title}}</h4>

			<p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>

		</div>

		<div class="card-footer">

			<p class="card-text">

				<div class="btn-group">

					<button v-if="checkout" type="button" class="btn btn-danger" @click="removeFromCart(product)">Remove</button>

					<button v-else type="button" class="btn btn-primary" @click="addToCart(product)">Add to cart</button>

				</div>

			</p>

		</div>

	</div>

</template>

<script>

import { mapActions } from 'vuex';

export default {

	name: 'product',

	props: {

		product: {

			type: Object,

			required: true,

		},

		checkout: {

			type: Boolean,

			required: true,

		},

	},

	methods: mapActions([

		'addToCart',
		'removeFromCart',

	]),

};

</script>

<style scoped>

	.card {

		position: relative;
		max-width: 350px;
		min-width: 25%;
	}

	.card-quantity {

		padding: 0 2rem;
		height: 50px;
		font-size: 1rem;
		text-align: center;
		line-height: 50px;
	}

	.badge {

		position: absolute;
		top: 0;
		right: 0;
	}

</style>
